//---------------------------------------------------------------------------
#ifndef lrevents_CplAppletH
#define lrevents_CplAppletH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TfrmCplApplet : public TForm
{
__published:	// IDE-managed Components
        TListBox *lstTimes;
        TLabel *Label1;
        TLabel *Label2;
        TGroupBox *GroupBox1;
        TGroupBox *GroupBox2;
        TButton *btnNewEvent;
        TEdit *txtNewTimeHour;
        TEdit *txtNewTimeMinute;
        TLabel *Label4;
        TLabel *Label3;
        TEdit *txtVoicePath;
        TLabel *Label5;
        TGroupBox *grpSound;
        TRadioButton *rbDefaultSound;
        TRadioButton *rbNoSound;
        TRadioButton *rbSoundFile;
        TEdit *txtSoundFile;
        TButton *btnLoadSoundFileName;
        TButton *btnOK;
        TButton *btnAbout;
        TButton *btnDeleteEvent;
        TBitBtn *bitPathOK;
        TBitBtn *bitRestorePath;
        TBevel *Bevel1;
        TBevel *Bevel2;
        TBitBtn *bitSaveSound;
        TBitBtn *bitUndoSound;
        TButton *btnTestSound;
        void __fastcall FormCreate(TObject *Sender);
        
        void __fastcall btnOKClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        
        void __fastcall lstTimesClick(TObject *Sender);
        void __fastcall bitRestorePathClick(TObject *Sender);
        void __fastcall bitPathOKClick(TObject *Sender);
        void __fastcall txtVoicePathEnter(TObject *Sender);
        void __fastcall txtVoicePathExit(TObject *Sender);
        void __fastcall btnDeleteEventClick(TObject *Sender);
        
        void __fastcall txtNewTimeEnter(TObject *Sender);
        void __fastcall txtNewTimeExit(TObject *Sender);
        
        void __fastcall NewTime(TObject *Sender);
        
        void __fastcall btnLoadSoundFileNameClick(TObject *Sender);
        
        void __fastcall SelectSoundExit(TObject *Sender);
        void __fastcall SelectSoundEnter(TObject *Sender);
        void __fastcall bitUndoSoundClick(TObject *Sender);
        void __fastcall txtSoundFileChange(TObject *Sender);
        void __fastcall bitSaveSoundClick(TObject *Sender);
        void __fastcall btnAboutClick(TObject *Sender);
        void __fastcall btnTestSoundClick(TObject *Sender);
        void __fastcall rbNoSoundFileClick(TObject *Sender);
        
private:	// User declarations
public:		// User declarations
        __fastcall TfrmCplApplet(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmCplApplet *frmCplApplet;
//---------------------------------------------------------------------------
#endif
